!COMMENT!
Description which demonstrates triangular user terms "saw" for functional representation of IF-THEN rules
!END_COMMENT!

TypeOfDescription=linguistic
InfMethod=Fuzzy_Approximation-functional
DefuzzMethod=SimpleCenterOfGravity
UseFuzzyFilter=false

NumberOfAntecedentVariables=1
NumberOfSuccedentVariables=1
NumberOfRules=7

AntVariable1
 name=distance
 settings=linguistic
 context=<-1,1>
 discretization=301
 lingparams=0.05 0.304 0.4 0.94
 UserTerm
  name=zero
  type=quadratic
  parameters= -0.05 -0.025 0 0 0.025 0.05
 End_UserTerm
 UserTerm
  name=NM
  type=triang
  parameters= -0.75 -0.5 -0.25
 End_UserTerm
 UserTerm
  name=NS
  type=triang
  parameters= -0.5 -0.25 0
 End_UserTerm
 UserTerm
  name=ZE
  type=triang
  parameters= -0.25 0 0.25
 End_UserTerm
 UserTerm
  name=PS
  type=triang
  parameters= 0 0.25 0.5
 End_UserTerm
 UserTerm
  name=PM
  type=triang
  parameters= 0.25 0.5 0.75
 End_UserTerm
 UserTerm
  name=NB
  type=trapezoid
  parameters= -1 -1 -0.9 -0.5
 End_UserTerm
 UserTerm
  name=PB
  type=trapezoid
  parameters= 0.5 0.75 1 1
 End_UserTerm
End_AntVariable1

SucVariable1
 name=wheel
 settings=linguistic
 context=<-1,1>
 discretization=301
 lingparams=0.05 0.304 0.4 0.94
 UserTerm
  name=zero ze
  type=quadratic
  parameters= -0.05 -0.025 0 0 0.025 0.05
 End_UserTerm
 UserTerm
  name=NM
  type=triang
  parameters= -0.75 -0.5 -0.25
 End_UserTerm
 UserTerm
  name=NS
  type=triang
  parameters= -0.5 -0.25 0
 End_UserTerm
 UserTerm
  name=ZE
  type=triang
  parameters= -0.25 0 0.25
 End_UserTerm
 UserTerm
  name=PS
  type=triang
  parameters= 0 0.25 0.5
 End_UserTerm
 UserTerm
  name=PM
  type=triang
  parameters= 0.25 0.5 0.75
 End_UserTerm
 UserTerm
  name=NB
  type=trapezoid
  parameters= -1 -1 -0.75 -0.5
 End_UserTerm
 UserTerm
  name=PB
  type=trapezoid
  parameters= 0.5 0.894 1 1
 End_UserTerm
End_SucVariable1

RULES
 "NB" | "NB"
 "NM" | "NM"
 "NS" | "NS"
 "ZE" | "ZE"
 "PS" | "PS"
 "PM" | "PM"
 "PB" | "PB"
END_RULES
