!COMMENT!
Linguistic description with three input variables, first is symmetrical and the other two are simple. Output variable is symmetrical.
!END_COMMENT!

InfMethod=Logical_Deduction
DefuzzMethod=DefuzLFLC

NumberOfAntecedentVariables=3
NumberOfSuccedentVariables=1
NumberOfRules=9

AntVariable1
 name=X1
 settings=linguistic
 context=<-1,1>
 discretization=101
 lingparams=0.05 0.304 0.4 0.94
 UserTerm
  name=zero ze 
  type=quadratic
  parameters= -0.683333 -0.675 -0.666667 -0.666667 -0.658333 -0.65
 End_UserTerm
End_AntVariable1

AntVariable2
 name=X2
 settings=linguistic
 context=<0,1>
 discretization=101
 lingparams=0.05 0.304 0.4 0.94
End_AntVariable2

AntVariable3
 name=X3
 settings=linguistic
 context=<0,1>
 discretization=100
 lingparams=0.05 0.304 0.4 0.94
End_AntVariable3

SucVariable1
 name=Y
 settings=linguistic
 context=<-1,1>
 discretization=101
 lingparams=0.05 0.304 0.4 0.94
 UserTerm
  name=zero ze 
  type=quadratic
  parameters= -0.05 -0.025 0 0 0.025 0.05
 End_UserTerm
End_SucVariable1

RULES
 "sm" "sm" "sm" | "sm"
 "me" "sm" "me" | "sm"
 "bi" "sm" "bi" | "ve sm"
 "sm" "me" "sm" | "me"
 "me" "me" "me" | "ro bi"
 "bi" "me" "bi" | "bi"
 "sm" "bi" "sm" | "me"
 "me" "bi" "me" | "ml bi"
 "bi" "bi" "bi" | "bi"
END_RULES
