!COMMENT!
Test linguistic description with two symmetrical input variables and symmetric output one.
!END_COMMENT!

InfMethod=Logical_Deduction
DefuzzMethod=ModifiedCenterOfGravity

NumberOfAntecedentVariables=2
NumberOfSuccedentVariables=1
NumberOfRules=9

AntVariable1
 name=X kuh
 settings=linguistic
 context=<-1,1>
 discretization=101
 lingparams=0.05 0.304 0.4 0.94
 UserTerm
  name=zero ze 
  type=quadratic
  parameters= -0.05 -0.025 0 0 0.025 0.05
 End_UserTerm
End_AntVariable1

AntVariable2
 name=X2
 settings=linguistic
 context=<-1,1>
 discretization=101
 lingparams=0.05 0.304 0.4 0.94
 UserTerm
  name=zero ze 
  type=quadratic
  parameters= -0.05 -0.025 0 0 0.025 0.05
 End_UserTerm
End_AntVariable2

SucVariable1
 name=Y
 settings=linguistic
 context=<-1,1>
 discretization=101
 lingparams=0.05 0.304 0.4 0.94
 UserTerm
  name=zero ze 
  type=quadratic
  parameters= -0.05 -0.025 0 0 0.025 0.05
 End_UserTerm
End_SucVariable1

RULES
 "-bi" "+bi" | "+me"
 "-me" "-bi" | "+bi"
 "-me" "-sm" | "+sm"
 "-me" "+sm" | "-ro me"
 "-sm" "+sm" | "-me"
 "-sm" "+me" | "-bi"
 "-sm" "-bi" | "-bi"
 "+bi" "-me" | "-sm"
 "+bi" "-sm" | "-ve sm"
END_RULES
